Bug 9 - cover.jpg saved in wrong folder when using ${YEAR} in OUTPUTFORMAT
Summary: cover.jpg saved in wrong folder when using ${YEAR} in OUTPUTFORMAT
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: Ripping (show other bugs)
Version: unspecified
Hardware: PC Linux
: Normal normal
Assignee: Andrew Strong
URL:
Depends on:
Blocks:
 
Reported: 2015-08-23 20:21 BST by Thomas Fricke
Modified: 2015-09-08 16:04 BST (History)
2 users (show)

See Also:


Attachments
add YEAR and GENRE variables to do_getalbumart() (372 bytes, patch)
2015-09-02 12:57 BST, Johannes Gernemann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Fricke 2015-08-23 20:21:20 BST
I'm using

OUTPUTFORMAT='${ARTISTFILE}/${YEAR} - ${ALBUMFILE}/${TRACKNUM} - ${TRACKFILE}'

and playlist is not activated.

When cover.jpg is saved it ends up in a folder without the year as prefix. e.g. Joe Satriani/- Flying in a Blue Dream/cover.jpg

I guess variable YEAR is not yet set properly in do_getalbumart(), so I added a YEAR=${CDYEAR:-$CDYEAR} and it's working now.

Activating playlist works, too.
Comment 1 Andrew Strong 2015-08-26 00:53:46 BST
I am a little caught up at the moment in 'Real Life' but I have contacted the original author of getalbumart who may be interested in looking a little deeper.
Comment 2 Johannes Gernemann 2015-09-02 12:57:57 BST
Created attachment 1 [details]
add YEAR and GENRE variables to do_getalbumart()

year + genre were missing in function do_getalbumart()
It's a bit strange every function has to use mungefilename as such variables could be global. This topic has recently been touched in the mailing list, too.

Here's the patch.
Comment 3 Andrew Strong 2015-09-03 02:19:25 BST
Thanks for this Johannes!! I will have time this weekend to test + commit, it would be great if Thomas could also have a look and confirm that his issue is resolved...
Comment 4 Andrew Strong 2015-09-05 22:42:37 BST
Committed the patch, thanks again Johannes :)
Comment 5 Thomas Fricke 2015-09-08 16:04:03 BST
ahhh... sorry for the late response. Sure I can confirm it's working. I wrote this on the report itself. ;-)